Bug 254087 - Broadcom bcm43xx broken in FC6 after yum update
Broadcom bcm43xx broken in FC6 after yum update
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 21:58 EDT by Jan Petersen
Modified: 2008-02-13 15:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 15:30:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bcm43xx-override (1.28 KB, text/plain)
2007-08-24 08:59 EDT, John W. Linville
no flags Details
/var/log/messages extract (4.42 KB, text/plain)
2007-08-25 15:27 EDT, Jan Petersen
no flags Details
Log file from debug update (7.86 KB, text/plain)
2007-08-26 14:01 EDT, Jan Petersen
no flags Details
log from Aug 27th close proximity testing (13.23 KB, message/delivery-status)
2007-08-27 16:14 EDT, Jan Petersen
no flags Details

  None (edit)
Description Jan Petersen 2007-08-23 21:58:00 EDT
After receiving a new kernel through yum update lately, my laptop is no longer
able to establish a wlan network connection.
During bootup, I get an error message notifying me that bit rate could not be set.

System works fine when booting in previous kernel version 2.6.20-1.2962, but
fails in the new 2.6.22.2-42

Please push out a new yum update so that my laptop can get back on the network.

Best Regards
Jan Petersen
Comment 1 John W. Linville 2007-08-24 08:59:59 EDT
Created attachment 172409 [details]
bcm43xx-override

Please try copying this file to /etc/modprobe.d, then rebooting.  Does that
restore functionality for you?
Comment 2 Jan Petersen 2007-08-25 15:27:40 EDT
Created attachment 172601 [details]
/var/log/messages extract

Hi

The override enables the card to be recognized again, but there is a problem
with the configuration of the key.

In the control panel, the shared network key is provided, and the two
configuration files ifcfg-eth1 and keys-eth1 in
/etc/sysconfig/networking/profiles/default appear to have the correct settings.


I manually added the key from keys-eth1 with iwconfig
# iwconfig eth1 key restricted ****

after which a
# /etc/init.d/network restart
established the network connection.

In short, it appears that the key value from keys-eth1 configuration file is
not used.

extract from /var/log/messages is attached

Best Regards
Jan Petersen
Comment 3 Jan Petersen 2007-08-25 15:29:34 EDT
debugging info provided above
Comment 4 Jan Petersen 2007-08-26 13:59:14 EDT
Some correction to the information above. Using iwconfig before restarting the
network works - but no consistently.
Here's an example off the struggle it can be to get connected.
Also note the message about the compiled version of wireless extentions.

root@laptop /home/jpeterse# iwconfig
lo        no wireless extensions.

eth0      no wireless extensions.

Warning: Driver for device eth1 has been compiled with version 22
of Wireless Extension, while this program supports up to version 20.
Some things may be broken...

eth1      IEEE 802.11b/g  ESSID:"SoftTeam"  Nickname:"laptop.softteam.com"
          Mode:Managed  Frequency=2.427 GHz  Access Point: Invalid
          RTS thr:off   Fragment thr:off
          Encryption key:***hidden***   Security mode:restricted
          Link Quality=0/100  Signal level=-256 dBm  Noise level=-256 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

sit0      no wireless extensions.


root@laptop /home/jpeterse# /etc/init.d/network restart
Shutting down loopback interface:                          [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth1:
Determining IP information for eth1... failed; no link present.  Check cable?
                                                           [FAILED]

root@laptop /home/jpeterse# iwconfig
lo        no wireless extensions.

eth0      no wireless extensions.

Warning: Driver for device eth1 has been compiled with version 22
of Wireless Extension, while this program supports up to version 20.
Some things may be broken...

eth1      IEEE 802.11b/g  ESSID:"SoftTeam"  Nickname:"laptop.softteam.com"
          Mode:Managed  Frequency=2.427 GHz  Access Point: Invalid
          RTS thr:off   Fragment thr:off
          Encryption key:***hidden***   Security mode:restricted
          Link Quality=0/100  Signal level=-256 dBm  Noise level=-256 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

sit0      no wireless extensions.

root@laptop /home/jpeterse# /etc/init.d/network restart
Shutting down loopback interface:                          [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth1:
Determining IP information for eth1... done.
                                                           [  OK  ]

Comment 5 Jan Petersen 2007-08-26 14:01:06 EDT
Created attachment 173061 [details]
Log file from debug update
Comment 6 John W. Linville 2007-08-27 15:30:45 EDT
The "version 22...version 20" messages from the iwconfig can be ignored.

Anything don't before a "/etc/init.d/network restart" should be overwritten, 
so it is hard to believe it has any real effect either positive or negative.

In coment 4, your signal levels look really bad.  Could you move close to the 
access point and test again?
Comment 7 Jan Petersen 2007-08-27 16:14:49 EDT
Created attachment 174301 [details]
log from Aug 27th close proximity testing
Comment 8 Jan Petersen 2007-08-27 16:15:37 EDT
Testing from 2 feet from the Wifi router (no obstruction in the path).
Log attached.
It still does not come up on boot, but does come eventually after running
/etc/init.d/network a number of times.

Strange thing is, that I called iwconfig without parameters just to see the
status  before the two last attempts to restart network, and iwconfig did not
report the key that should be in use for the network.

Before the kernel upgrade, I haven't noticed any signal level problems, even at
a much greater distance from what I am using it at now.

Br
jan
Comment 9 Jan Petersen 2007-09-20 15:19:41 EDT
Received another kernel update (2.6.22.5-49). Now I can not get on the network
no matter how many times I try to. At least in the past version, I eventually
would get on, after several minutes of working on it.
What is the plan for fixing this? How can you in good faith push out a new
network driver structure that has been known to be faulty since May of this year?

Jan
Comment 10 Jan Petersen 2007-09-23 14:44:41 EDT
UPDATE:

It's been a month since I reported this problem, and since I use my laptop as my
primary desktop computer, I realy need to get this fixed.
So after spending 2 days trying different suggestions from the mail lists
discussing similar problems, I finally decided to give kubuntu a try. It took
half a day to clear space in a partition, but the network came up with no problems.
As far as the signal level as commented to post #4, here is what kubuntu reports:

eth1      IEEE 802.11b/g  ESSID:"SoftTeam"  Nickname:"Broadcom 4306"
          Mode:Managed  Frequency=2.427 GHz  Access Point: 00:12:17:19:5C:F5
          Bit Rate=11 Mb/s   Tx-Power=19 dBm
          RTS thr:off   Fragment thr:off
          Link Quality=133/100  Signal level=-30 dBm  Noise level=-70 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

If it helps identifying the problem, here is what "lspci -vvvn" report:
02:02.0 0280: 14e4:4320 (rev 03)
        Subsystem: 103c:12f8
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 64
        Interrupt: pin A routed to IRQ 17
        Region 0: Memory at e0104000 (32-bit, non-prefetchable) [size=8K]


What is the prognosis on fixing the problem? Should I just stick with Kubuntu?

Best Regards
Jan Petersen
Comment 11 John W. Linville 2007-09-24 09:21:53 EDT
I'm curious why if you were willing to go to all the trouble to try Kubuntu, 
you didn't first start by trying F7?

I'm sorry you have hit a bump somewhere in the road w.r.t. bcm43xx support.  
Sometimes updates contains bugs too.  Did you keep your older kernels around, 
which appear to have worked at various points in the past?
Comment 12 Jan Petersen 2007-09-25 00:24:52 EDT
Hi

I went to kubuntu only because had read a lot of posts from people with F7 with
the exact same problem.
(here's one for starters:
http://www.fedoraforum.org/forum/showthread.php?t=156282&highlight=bcm43xx)

Unfortunately, I had the settings for number of packages to retain set to 2, so
it's been removed by the following upgrades that the system made.
I did do a search for the RPM's for the old kernel before trying kubuntu, but
couldn't find them anywhere.

Br
Jan
Comment 13 John W. Linville 2008-01-07 15:04:29 EST
Did you ever try an F7 or F8 kernel?  The b43 and b43legacy drivers there 
probably work much better for you than bcm43xx did.
Comment 14 John W. Linville 2008-02-13 15:30:43 EST
Closed due to lack of response...

Note You need to log in before you can comment on or make changes to this bug.